package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerWaitBuckleVO {

    @ApiModelProperty("费用发生时间")
    private Date createTime;

    @ApiModelProperty("服务人员姓名")
    private String workerName;

    @ApiModelProperty("服务人员编号")
    private String workerNumber;

    @ApiModelProperty("身份证")
    private String idcard;

    @ApiModelProperty("联系方式")
    private String mobile;

    @ApiModelProperty("费用项目名称")
    private String costType;

    @ApiModelProperty("费用金额")
    private BigDecimal buckleAmount;

    @ApiModelProperty("状态")
    private Boolean isBuckle;

    @ApiModelProperty("扣除时间")
    private Date updateTime;

}
