package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.manager.bean.settle.repair.DailyIncrDecrCostCountBean;
import com.gree.mall.manager.bean.settle.repair.DailyTotalCostBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DailyMapper {
    /**
     * 扣回的
     * @param importBatchNo
     */
    @SqlParser(filter = true)
    void bindWorkerNumber2(@Param("companyWechatId") String companyWechatId, @Param("importBatchNo") String importBatchNo);

    /**
     * 汇总结算-绑定师傅编号
     * @param importBatchNo
     */
    @SqlParser(filter = true)
    void bindWorkerNumber(@Param("companyWechatId") String companyWechatId, @Param("importBatchNo") String importBatchNo);
    /**
     * 汇总结算-查询重复的
     */
    @SqlParser(filter = true)
    List<String> queryDistinctOrderNo(@Param("companyWechatId") String companyWechatId);

    @SqlParser(filter = true)
    List<DailyTotalCostBean> queryDailyTotalCost(
            @Param("companyWechatId") String companyWechatId,
            @Param("importBatchNo") String importBatchNo,
            @Param("status") List<Integer> status,
            @Param("needSummaryStatus") List<String> needSummaryStatus
    );

    @SqlParser(filter = true)
    List<DailyIncrDecrCostCountBean> queryIncrDecrByBatch(
            @Param("companyWechatId") String companyWechatId,
            @Param("importBatchNo") String importBatchNo,
            @Param("status") Integer status
    );


}
